<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.InstanceDB ID="0">
    <AttributeList>
      <InstanceOfName>ReadServerDiagnostics</InstanceOfName>
      <InstanceOfType>FB</InstanceOfType>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="read" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
  <Section Name="Output">
    <Member Name="done" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="busy" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="error" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="status" Datatype="DWord">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="server" Datatype="&quot;typeServer&quot;">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="simaticDevice" Datatype="&quot;typeSimaticDevice&quot;">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
  <Section Name="InOut" />
  <Section Name="Static">
    <Member Name="statConnectionHdl" Datatype="DWord">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNodeCount" Datatype="UInt">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNodeIds" Datatype="Array[0..32] of OPC_UA_NodeId" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNodeStatusList" Datatype="Array[0..32] of DWord">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statTimeStamps" Datatype="Array[0..32] of LDT">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statVariable" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="ServerStatus" Datatype="&quot;typeServerStatus&quot;" />
      <Member Name="NamespaceArray" Datatype="Array[0..&quot;NAMESPACEARRAY_UPPERBOUND&quot;] of String" />
      <Member Name="ServerDiagnosticsSummary" Datatype="&quot;typeServerDiagnosticsSummary&quot;" />
      <Member Name="SessionDiagnosticsArray" Datatype="Array[0..&quot;SESSIONS_UPPERBOUND&quot;] of &quot;typeSessionDiagnostics&quot;" />
      <Member Name="SessionSecurityDiagnosticsArray" Datatype="Array[0..&quot;SESSIONS_UPPERBOUND&quot;] of &quot;typeSessionSecurityDiagnosticsData&quot;" />
      <Member Name="SubscriptionDiagnosticsArray" Datatype="Array[0..&quot;SUBSCRIPTIONS_UPPERBOUND&quot;] of &quot;typeSubscriptionDiagnostics&quot;" />
      <Member Name="ServerArray" Datatype="Array[0..&quot;SERVERARRAY_UPPERBOUND&quot;] of String" />
      <Member Name="DeviceManual" Datatype="String" />
      <Member Name="DeviceRevision" Datatype="String" />
      <Member Name="EngineeringRevision" Datatype="String" />
      <Member Name="HardwareRevision" Datatype="String" />
      <Member Name="Manufacturer" Datatype="&quot;typeLocalizedText&quot;" />
      <Member Name="Model" Datatype="&quot;typeLocalizedText&quot;" />
      <Member Name="OperatingMode" Datatype="DInt" />
      <Member Name="OrderNumber" Datatype="String" />
      <Member Name="RevisionCounter" Datatype="DInt" />
      <Member Name="SerialNumber" Datatype="String" />
      <Member Name="SoftwareRevision" Datatype="String" />
      <Member Name="MaxArrayLength" Datatype="UDInt" />
      <Member Name="MaxBrowseContinuationPoints" Datatype="UInt" />
      <Member Name="MaxByteStringLength" Datatype="UDInt" />
      <Member Name="MaxHistoryContinuationPoints" Datatype="UInt" />
      <Member Name="MaxQueryContinuationPoints" Datatype="UInt" />
      <Member Name="MaxStringLength" Datatype="UDInt" />
      <Member Name="MinSupportedSampleRate" Datatype="LReal" />
      <Member Name="MaxMonitoredItemsPerCall" Datatype="UDInt" />
      <Member Name="MaxNodesPerBrowse" Datatype="UDInt" />
      <Member Name="MaxNodesPerMethodCall" Datatype="UDInt" />
      <Member Name="MaxNodesPerRead" Datatype="UDInt" />
      <Member Name="MaxNodesPerRegisterNodes" Datatype="UDInt" />
      <Member Name="MaxNodesPerTranslateBrowsePathsToNodeIds" Datatype="UDInt" />
      <Member Name="MaxNodesPerWrite" Datatype="UDInt" />
      <Member Name="ServerProfileArray" Datatype="Array[0..&quot;SERVERPROFILES_UPPERBOUND&quot;] of WString" />
    </Member>
    <Member Name="instOpcUaReadList" Datatype="OPC_UA_ReadList" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
</Sections></Interface>
      <Name>InstReadServerDiagnostics</Name>
      <Namespace />
      <Number>78</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.InstanceDB>
</Document>